using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Media;

namespace MidPointFills
{
    /// <summary>
    /// A midpoint for a gradient fill.
    /// </summary>
    public class GradientMidpoint
    {
        /// <summary>
        /// The position of the midpoint - a number from 0 to 1. Relative to the
        /// whole gradient (not the adjacent stops).
        /// </summary>
        public double Offset
        {
            get { return offsetValue; }
            set { offsetValue = value; }
        }
        // For production code, a DP would probably be a better
        // idea.
        private double offsetValue;


    }
}
